# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Sep 12 16:06:00 2024
# ------------------------------------------------

package:
  name: flake8
  version: 7.1.1
source:
  sha256: 049d058491e228e03e67b390f311bbf88fce2dbaa8fa673e7aea87b7198b8d38
  url: https://pypi.io/packages/source/f/flake8/flake8-7.1.1.tar.gz
build:
  entry_points:
    - flake8 = flake8.main.cli:main
  number: '0'
  script: /croot/flake8_1726157165993/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps -vv --no-build-isolation
  string: py312h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.7.2 h06a4308_0
    - expat 2.6.3 h6a678d5_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.15 h5eee18b_0
    - pip 24.2 py312h06a4308_0
    - python 3.12.4 h5148396_1
    - readline 8.2 h5eee18b_0
    - setuptools 72.1.0 py312h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py312h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - mccabe >=0.7.0,<0.8.0
    - pycodestyle >=2.12.0,<2.13.0
    - pyflakes >=3.2.0,<3.3.0
    - python >=3.12,<3.13.0a0
test:
  commands:
    - pip check
  imports:
    - flake8
    - flake8.api
    - flake8.formatting
    - flake8.main
    - flake8.options
    - flake8.plugins
  requires:
    - pip
about:
  description: 'Flake8 runs all the tools by launching the single flake8 command.
    It displays the warnings in a per-file, merged output.

    '
  dev_url: https://github.com/PyCQA/flake8
  doc_url: https://flake8.pycqa.org/
  home: https://flake8.pycqa.org/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Your Tool For Style Guide Enforcement
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 24af6490-8c57-4539-ba61-f1baf740e74d
  recipe-maintainers:
    - aydinhan
    - croth1
    - dopplershift
    - goanpeca
    - sigmavirus24
  remote_url: git@github.com:AnacondaRecipes/flake8-feedstock.git
  sha: b624c481f784eb5f1f2ac811ddc6473e1dbcab96
